Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 21 Nov 2003 20:30:39 +0100
From:      Thomas-Martin Seck <tmseck@netcologne.de>
To:        FreeBSD-gnats-submit@FreeBSD.org, freebsd-ports-bugs@FreeBSD.org
Subject:   Re: ports/59091: [PATCH] www/squid: major overhaul and update
Message-ID:  <20031121193039.GA1913@laurel.tmseck.homedns.org>
In-Reply-To: <200311091900.hA9J0crq099090@freefall.freebsd.org>
References:  <20031109185210.21773.qmail@laurel.tmseck.homedns.org> <200311091900.hA9J0crq099090@freefall.freebsd.org>

next in thread | previous in thread | raw e-mail | index | archive | help
Update to the latest set of patches from squid-cache.org as of
11/21/2003.

Bugfixes:
Check for errors when creating SQUID_{USER,GROUP}
Use SU_CMD to run the pre-install script; it needs root privs
Cleanup .orig files in the "errors" directory; they will get installed
otherwise


Index: Makefile
===================================================================
RCS file: /usr/local/cvsroot/projekte/FreeBSD/ports/www/squid/Makefile,v
retrieving revision 1.5
retrieving revision 1.7
diff -u -r1.5 -r1.7
--- Makefile	9 Nov 2003 18:38:52 -0000	1.5
+++ Makefile	21 Nov 2003 19:16:16 -0000	1.7
@@ -47,7 +47,9 @@
 		squid-2.5.STABLE4_auth_param_doc.patch \
 		squid-2.5.STABLE4-error_load_text.patch \
 		squid-2.5.STABLE4-xpi_mime.patch \
-		squid-2.5.STABLE4-size_overflow.patch
+		squid-2.5.STABLE4-size_overflow.patch \
+		squid-2.5.STABLE4-extacl_auth_loop.patch \
+		squid-2.5.STABLE4-squid_ldap_group.patch
 PATCH_DIST_STRIP= -p1
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-2.5.STABLE4
@@ -195,6 +197,7 @@
 .if !defined(NOPORTDOCS)
 	@cd ${WRKSRC} && ${PATCH} ${PATCH_ARGS} <${FILESDIR}/FAQ.html.patch
 .endif
+	@find ${WRKSRC}/errors -type f -name '*.orig' -delete
 
 pre-configure:
 .if defined(PACKAGE_BUILDING) || defined(BATCH)
@@ -221,7 +224,7 @@
 pre-install:
 	@${SED} -e 's|%%PREFIX%%|${PREFIX}|g' -e 's|%%SQUID_UID%%|${SQUID_UID}|g' ${FILESDIR}/squid.sh.sample >${WRKSRC}/squid.sh.sample
 	@env SQUID_UID=${SQUID_UID} SQUID_GID=${SQUID_GID} \
-	    PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
+	    PKG_PREFIX=${PREFIX} ${SU_CMD} "${PKGINSTALL} ${PKGNAME} PRE-INSTALL"
 
 post-install:
 .ifdef WITH_SQUID_PINGER
Index: distinfo
===================================================================
RCS file: /usr/local/cvsroot/projekte/FreeBSD/ports/www/squid/distinfo,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- distinfo	9 Nov 2003 16:48:19 -0000	1.1.1.2
+++ distinfo	21 Nov 2003 19:16:16 -0000	1.2
@@ -8,4 +8,6 @@
 MD5 (squid2.5/squid-2.5.STABLE4-error_load_text.patch) = 3935a3005d125f55cd78b228eba20647
 MD5 (squid2.5/squid-2.5.STABLE4-xpi_mime.patch) = 1143fb9244690a24450c3c9ce6105da4
 MD5 (squid2.5/squid-2.5.STABLE4-size_overflow.patch) = 7cd2d6b1ebbd86aa143fa5a57156d6ce
+MD5 (squid2.5/squid-2.5.STABLE4-extacl_auth_loop.patch) = de06bbc89f5408b7ab83733d894d4fe7
+MD5 (squid2.5/squid-2.5.STABLE4-squid_ldap_group.patch) = c3af2e0c4958897abf7c821e9b8cdb8a
 MD5 (squid2.5/FAQ.tar.gz) = IGNORE
Index: pkg-install
===================================================================
RCS file: /usr/local/cvsroot/projekte/FreeBSD/ports/www/squid/pkg-install,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- pkg-install	9 Nov 2003 16:48:20 -0000	1.1.1.2
+++ pkg-install	14 Nov 2003 19:55:57 -0000	1.2
@@ -16,15 +16,23 @@
 	# XXX: Check whether pw really exists (pre 2.2.8 Systems)?
 	if ! pw groupshow ${squid_group} >/dev/null 2>&1; then
 		echo "There is no group \"${squid_group}\" on this system, so I will try to create one:"
-		pw groupadd ${squid_group}
+		if ! pw groupadd ${squid_group} ; then
+			echo "Failed to create group ${squid_group}!" >&2
+			exit 1
+		else
+			echo "Group ${squid_group} created successfully"
+		fi
 	else
 		echo "I will use the existing group \"${squid_group}\"."
 	fi
 	if ! pw usershow ${squid_user} >/dev/null 2>&1; then
 		echo "There is no account \"${squid_user}\" on this system, so I will try to create it:"
-		pw useradd ${squid_user} -c "squid caching-proxy pseudo user" -g ${squid_group} -d "${squid_base}" -s "/sbin/nologin" -h -
-		echo "Success! The \"${squid_user}\" account has been created with the following settings:"
-		pw usershow ${squid_user}
+		if ! pw useradd ${squid_user} -c "squid caching-proxy pseudo user" -g ${squid_group} -d "${squid_base}" -s "/sbin/nologin" -h - ; then
+			echo "Failed to create user ${squid_user}!" >&2
+		else
+			echo "Success! The \"${squid_user}\" account has been created with the following settings:"
+			pw usershow ${squid_user}
+		fi
 	else
 		echo "I will use the existing account \"${squid_user}\"."
 		tput md



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20031121193039.GA1913>